default: all

CLASSPATH=.:xml.jar:/usr/java/lib/classes.zip

SOURCES = $(shell ls *.java)

Defs.class: Defs.java
	javac -classpath $(CLASSPATH) Defs.java

AttributeDef.class: AttributeDef.java
	javac -classpath $(CLASSPATH) AttributeDef.java

ClassDef.class: ClassDef.java
	javac -classpath $(CLASSPATH) ClassDef.java

makedefs: Defs.class ClassDef.class AttributeDef.class

makedefsall: attributes.xml attributes.dtd classes.xml classes.dtd
	makedefsall

all: makedefs makedefsall

clean:
	rm *.class

